#!/usr/bin/env python

# hacked together by eagle_linux
# Licensed under the GNU GPL v2
# vuvuzela.jpg is released under the CC-by-sa 3.0, see http://creativecommons.org/licenses/by-sa/3.0/deed.en
# Original picture released under the CC-by-sa 3.0 by Berndt Meyer on wikimedia commons, see >
# http://de.wikipedia.org/w/index.php?title=Datei:Vuvuzela_red.jpg&filetimestamp=20090621184943

import pygame
import sys
import time

pygame.init()
pygame.mixer.init()

screen = pygame.display.set_mode([800,420])
screen.fill([0,0,0])
bg = pygame.image.load("vuvuzela.jpg").convert()
screen.blit(bg,(0,0))

pygame.mouse.set_visible(False)

sound = pygame.mixer.Sound("vuvuzela.wav")

clock = pygame.time.Clock()

while True:      
  clock.tick(30)
  for event in pygame.event.get():
    if event.type == pygame.QUIT:
      sys.exit()
    elif event.type == pygame.MOUSEBUTTONDOWN:
      sound.play(-1)
    elif event.type == pygame.MOUSEBUTTONUP:
      pygame.mixer.fadeout(300)
  pygame.display.update()
